strtodk
Prev | Orchestra Opcodes and Operators | Next

## strtodk

strtodk — Converts a string to a float (k-rate).

## Description

Convert a string to a floating point value at i- or k-rate. It is also possible to pass an strset index or a string p-field from the score instead of a string argument. If the string cannot be parsed as a floating point or integer number, an init or perf error occurs and the instrument is deactivated.

| Note
If a k-rate index variable is used, it should be valid at i-time as well.

## Syntax

    kr strtodk Sstr

    kr strtodk kndx

## Performance

kr -- Value of string as float.

Sstr -- String to convert.

indx -- index of string set by strset

## See Also

String Conversion Opcodes

## Credits

Author: Istvan Varga
2005

Prev | Up | Next
strtod | Home | strtol